package com.app.input.personalised.board.keyboardutils;



import java.util.ArrayList;
import java.util.List;

public class KeyboardLayout {
    private String name;
    private List<KeyboardKey> keyboardKeys = new ArrayList<>();


    public KeyboardLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeyboardKey> getKeys() {
        return keyboardKeys;
    }

    public void addKey(KeyboardKey keyboardKey) {
        this.keyboardKeys.add(keyboardKey);
    }

    public KeyboardKey getLastKey() {
        return keyboardKeys.isEmpty() ? null : keyboardKeys.get(keyboardKeys.size() - 1);
    }


}